For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
        • GETList Organizations
        • POSTCreate Organization
        • GETGet Organization
        • PATCHUpdate Organization
Login
Logo
API ReferenceManagement APIOrganizations

Get Organization

GET
https://api.ssoready.com/v1/organizations/:id
GET
/v1/organizations/:id
$curl https://api.ssoready.com/v1/organizations/id \
> -H "Authorization: Bearer <apiKey>"
200Retrieved
1{
2 "organization": {
3 "id": "id",
4 "environmentId": "environmentId",
5 "displayName": "displayName",
6 "externalId": "externalId",
7 "domains": [
8 "domains"
9 ]
10 }
11}
Gets an organization.
Was this page helpful?
Previous

Update Organization

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
ID of the organization to get.

Response

OK
organizationobject
The requested organization.